
/* GENERATED CODE... DO NOT EDIT */

/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA.
 *
 * Copyright (C) 2013 - 2014 Aleksander Morgado <aleksander@aleksander.es>
 */


#include <glib.h>
#include <glib-object.h>
#include <gio/gio.h>

#include "mbim-message.h"
#include "mbim-device.h"
#include "mbim-enums.h"

#ifndef __LIBMBIM_GLIB_MBIM_BASIC_CONNECT_EXTENSIONS__
#define __LIBMBIM_GLIB_MBIM_BASIC_CONNECT_EXTENSIONS__

G_BEGIN_DECLS

/*****************************************************************************/
/* Struct: MbimPcoValue */

/**
 * MbimPcoValue:
 * @session_id: a #guint32.
 * @pco_data_size: a #guint32.
 * @pco_data_type: a #guint32.
 * @pco_data_buffer: an array of #guint8 values.
 */
typedef struct {
    guint32 session_id;
    guint32 pco_data_size;
    guint32 pco_data_type;
    guint8 *pco_data_buffer;
} MbimPcoValue;

void mbim_pco_value_free (MbimPcoValue *var);

/*****************************************************************************/
/* Message (Query): MBIM Message Basic Connect Extensions PCO */

MbimMessage *mbim_message_basic_connect_extensions_pco_query_new (
    const MbimPcoValue *pco_value,
    GError **error);

/*****************************************************************************/
/* Message (Response): MBIM Message Basic Connect Extensions PCO */

gboolean mbim_message_basic_connect_extensions_pco_response_parse (
    const MbimMessage *message,
    MbimPcoValue **pco_value,
    GError **error);

/*****************************************************************************/
/* Message (Notification): MBIM Message Basic Connect Extensions PCO */

gboolean mbim_message_basic_connect_extensions_pco_notification_parse (
    const MbimMessage *message,
    MbimPcoValue **pco_value,
    GError **error);

G_END_DECLS

#endif /* __LIBMBIM_GLIB_MBIM_BASIC_CONNECT_EXTENSIONS__ */
